use crate::*;
use std::path::Path;

mod ls;
pub use ls::*;

mod cp;
pub use cp::*;

mod rm;
pub use rm::*;

mod mkdir;
pub use mkdir::*;

pub fn append_to_file<P>(_path: P, _content: &str) -> Result<(), EntryWriteError>
where
    P: AsRef<Path>,
{
    unimplemented!()
}

pub fn write_to_file<P>(path: P, content: &str) -> Result<(), EntryWriteError>
where
    P: AsRef<Path>,
{
    make_parent_directory(&path)?;
    std::fs::write(&path, content)?;
    Ok(())
}
